=== debian/changelog ===
fcitx-fullwidthchar-enhance (0.0~git20150311-3) unstable; urgency=medium

  * Team upload.
  * Fix typo in Vcs-* url.
  * Mark package fcitx-module-fullwidthchar-enhance as M-A: same.

 -- Boyuan Yang <byang@debian.org>  Mon, 22 Oct 2018 21:08:35 -0400

fcitx-fullwidthchar-enhance (0.0~git20150311-2) unstable; urgency=medium

  * Team upload.
  * Modernize packaging.
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.1.
    + Update maintainer to Debian Input Method Team. (Closes: #899763)
    + Enable full hardening.
    + Update Vcs-* fields to use git repo under Salsa input-method-team.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Oct 2018 10:01:19 -0400

fcitx-fullwidthchar-enhance (0.0~git20150311-1) unstable; urgency=medium

  * Initial release. (Closes: #864303)

 -- Shengjing Zhu <zsj950618@gmail.com>  Tue, 06 Jun 2017 23:22:24 +0800
