=== debian/control ===
Source: fcitx-fullwidthchar-enhance
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>,
 Aron Xu <aron@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-libs-dev (>= 1:4.2.8),
 pkg-config,
Standards-Version: 4.2.1
Homepage: https://pinyin.sogou.com/linux/
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-fullwidthchar-enhance.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-fullwidthchar-enhance

Package: fcitx-module-fullwidthchar-enhance
Architecture: any
Multi-Arch: same
Depends:
 fcitx-bin,
 fcitx-data (>= 1:4.2.8),
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.8),
Breaks:
 fcitx (<< 1:4.2.8),
Conflicts:
 sogoupinyin,
Suggests:
 sogoupinyin-installer,
Description: Fcitx fullwidthchar enhance module for Sogou pinyin
 fcitx-module-fullwidthchar is a module for Sogou pinyin
